@import './common.less';

section#jobseeker-signup {
    .tabs-container {
        .tab {
            line-height: 50px;
            text-align: center;
            top: 1px;
            z-index: 2;
        }
        
        .tab.active {
            background: #f2f2f7;
            border: 1px solid #c7c7cc;
            border-bottom: 0;
        }
    }
    
    #signup_block {
	background: @gray_light;
        border: 1px solid @gray_light4;
        margin-bottom: 2rem;
        
        hr {
            margin-left: -1.5rem;
            margin-right: -1.5rem;
            border-top: 1px solid @gray_light4;
        }
        
        .form-group {
            .form-control {
                border-radius: 0;
                outline:none !important;
                outline-width: 0 !important;
                box-shadow: none;
                -moz-box-shadow: none;
                -webkit-box-shadow: none;
                
                &[readonly] {
                    border-color: @gray_light3 !important;
                }
                
                &[aria-invalid=true] {
                    border-color: rgb(255,149,0);
                }
                
                &[aria-validated=true] {
                    border-color: rgb(255,149,0);
                }
            }
            
            
            
            .help-block {
                background: @gray_light3;
                padding: 0 0.75rem;
                color: @gray_dark3;
                line-height: 30px;
            }
            
            .iti {
                display: block;
                .iti__selected-flag {
                    outline: none;
                }
            }
        }
        
        .form-group.required {
            .form-control-label::after {
                content: " *";
                color: @red;
                font-size: 16px;
            }
        }
        
        a[data-toggle="popover"] i {
            font-size: 20px;
            position: absolute;
            line-height: 41px;         
        }
        
        button[type="submit"] {
            display: block;
            height: 100%;
            min-height: 50px;
            width: 100%;
            padding: 0;
            margin: 0;
            text-align: center;
            font-size: 18px;
            background: @red;
            color: @white;
            border: none;
        }
        
        button[name="phone-submit-button"] {
            display: block;
            height: 100%;
            min-height: 38px;
            padding: 0;
            margin: 0;
            text-align: center;
            font-size: 18px;
            background: @red;
            color: @white;
            border: none;
            float: left;
            
            &[data-disabled="true"] {
                background: @gray_light3;
            }
        }
        
        .phone-verified-sign {
            display: block;
            height: 100%;
            min-height: 38px;
            line-height: 38px;
            padding: 0;
            margin: 0;
            text-align: center;
            font-size: 18px;
            background: @green;
            color: @white;
            border: none;
            
        }
    }
}
